=== debian/changelog ===
cgal (6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove tweak for /usr/bin/cgal_make_macosx_app, no longer existing.

 -- Joachim Reichel <reichel@debian.org>  Wed, 23 Oct 2024 17:54:02 +0200

cgal (6.0-1) unstable; urgency=medium

  * New upstream release.
  * Add Breaks:/Replaces: libcgal-qt5-dev (<< 6.0~) to libcgal-qt6-dev
    (Closes: #1074265).

 -- Joachim Reichel <reichel@debian.org>  Fri, 27 Sep 2024 16:50:32 +0000

cgal (6.0~beta1-1) experimental; urgency=medium

  * New upstream release.
    * CGAL 6.0 requires C++ 17 or later.
    * The Qt component of CGAL depends now on Qt6 instead of Qt5.
    * The file UseCGAL.cmake has been removed. Use
      target_link_libraries(... CGAL::CGAL) instead of ${CGAL_USE_FILE} and
      ${CGAL_LIBRARIES}.
    * Many packages have replaced boost::optional and boost::variant by
      their std counterparts.
  * Replace binary package libcgal-qt5-dev by libcgal-qt6-dev.
  * Replace Build-Depends: libqt5opengl5-dev, libqt5svg5-dev, qtbase5-dev by
    qt6-base-dev, qt6-base-dev-tools, qt6-svg-dev, qt6-tools-dev.
  * Replace Depends: libqt5opengl5-dev, libqt5sql5-sqlite, libqt5svg5-dev,
    libqt5websockets5-dev, qtscript5-dev, qttools5-dev, qttools5-dev-tools of
    libcgal-qt5-dev by Depends:qt6-base-dev, qt6-base-dev-tools, qt6-svg-dev,
    qt6-tools-dev, qt6-websockets-dev of libcgal-qt6-dev.
  * Update Standards-Version to 4.7.0 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Fri, 21 Jun 2024 21:48:26 +0200
